RIO_MATCH_DEVICE(9)

NAME
rio_match_device - Tell if a RIO device has a matching RIO device id structure

SYNOPSIS

const struct rio_device_id * rio_match_device (const struct rio_device_id * id, const struct rio_dev * rdev);

ARGUMENTS

id  the RIO device id structure to match against

rdev
    the RIO device structure to match against

DESCRIPTION

Used from driver probe and bus matching to check whether a RIO device matches a device id structure provided by a RIO driver. Returns the matching &struct rio_device_id or NULL if there is no match.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.